#!/bin/bash
#
# 
echo "Exporting archive..."
xcodebuild -scheme "idleexecd - Release" archive -archivePath ./idleexecd.xcarchive
echo "Building MacOS Installer package..."
pkgbuild --identifier org.n3d.idleexecd --version $1 --root ./idleexecd.xcarchive/Products/ ./idleexecd.pkg
echo "Assembling disk image..."
hdiutil create -volname idleexecd -srcfolder ./idleexecd.pkg -ov -format UDZO ./idleexecd.dmg
echo "Done."
